Instance
GET/api/v2/instance
Get instance (v2)
Mastodon compatible No token
Returns
curl "https://pixelfed.social/api/v2/instance" \
-H "Accept: application/json"Response
{
"domain": "pixelfed.social",
"title": "Pixelfed",
"version": "3.5.3 (compatible; Pixelfed 0.15.0)",
"source_url": "https://github.com/pixelfed/pixelfed",
"description": "Photo sharing for everyone",
"usage": {
"users": {
"active_month": 18342
}
},
"thumbnail": {
"url": "https://pixelfed.social/storage/headers/default.jpg",
"blurhash": "U4Rfh2-;fQ-;~qfQfQfQfQfQfQfQ~qfQfQfQ",
"versions": {
"@1x": "https://pixelfed.social/storage/headers/default.jpg",
"@2x": "https://pixelfed.social/storage/headers/default.jpg"
}
},
"languages": ["en"],
"configuration": {
"urls": {
"streaming": null,
"status": null
},
"vapid": {
"public_key": "BEm0Vh3_6Yj4kq0WqD1y3x6m2t0cR7oNw9pL5aZbXcVdEfGhIjKlMnOpQrStUvWxYz01234567890abcdEFG"
},
"accounts": {
"max_featured_tags": 0
},
"direct_messages": {
"max_characters": 2000,
"max_media_attachments": 4,
"group_chats": {
"enabled": true,
"max_participants": 10
}
},
"statuses": {
"max_characters": 500,
"max_media_attachments": 4,
"characters_reserved_per_url": 23
},
"media_attachments": {
"supported_mime_types": ["image/jpeg", "image/jpg", "image/png", "image/gif", "video/mp4"],
"image_size_limit": 15360000,
"image_matrix_limit": 2073600,
"video_size_limit": 15360000,
"video_frame_rate_limit": 120,
"video_matrix_limit": 2073600
},
"polls": {
"max_options": 0,
"max_characters_per_option": 0,
"min_expiration": 0,
"max_expiration": 0
},
"translation": {
"enabled": false
}
},
"registrations": {
"enabled": true,
"approval_required": false,
"message": null,
"url": null
},
"contact": {
"email": "admin@pixelfed.social",
"account": {
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"url": "https://pixelfed.social/dansup",
"avatar": "https://pixelfed.social/storage/avatars/412/760/avatar.jpg"
}
},
"rules": [{
"id": "1",
"text": "Be kind. No harassment or hate speech."
}, {
"id": "2",
"text": "Only post photos and videos you have the rights to share."
}]
}GET/api/v1/instance
Get instance (v1)
Mastodon compatible No token
Returns
curl "https://pixelfed.social/api/v1/instance" \
-H "Accept: application/json"Response
{
"uri": "pixelfed.social",
"title": "Pixelfed",
"short_description": "Photo sharing for everyone",
"description": "Pixelfed is an image sharing platform, an ethical alternative to centralized platforms.",
"email": "admin@pixelfed.social",
"version": "3.5.3 (compatible; Pixelfed 0.15.0)",
"urls": {
"streaming_api": null
},
"stats": {
"user_count": 104218,
"status_count": 2871405,
"domain_count": 31877
},
"thumbnail": "https://pixelfed.social/storage/headers/default.jpg",
"languages": ["en"],
"registrations": true,
"approval_required": false,
"contact_account": {
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup"
},
"rules": [{
"id": "1",
"text": "Be kind. No harassment or hate speech."
}],
"mobile_registration": true,
"configuration": {
"media_attachments": {
"image_matrix_limit": 2073600,
"image_size_limit": 15360000,
"supported_mime_types": ["image/jpeg", "image/jpg", "image/png", "image/gif", "video/mp4"],
"video_frame_rate_limit": 120,
"video_matrix_limit": 2073600,
"video_size_limit": 15360000
},
"polls": {
"max_characters_per_option": 50,
"max_expiration": 2629746,
"max_options": 4,
"min_expiration": 300
},
"statuses": {
"characters_reserved_per_url": 23,
"max_characters": 500,
"max_media_attachments": 4
}
}
}GET/api/v2.1/config
Get Pixelfed config
Pixelfed only No token
Returns
curl "https://pixelfed.social/api/v2.1/config" \
-H "Accept: application/json"Response
{
"version": "0.15.0",
"oauth": true,
"signup": {
"curated": false,
"mobile_registration": true
},
"features": {
"stories": true,
"video": true,
"timelines": {
"local": true,
"network": true
}
},
"limits": {
"account": {
"max_avatar_size": 2000,
"max_bio_length": 125,
"max_name_length": 30,
"min_password_length": 8
},
"collections": {
"max_collection_length": 100
},
"direct_messages": {
"max_characters": 2000,
"max_media_attachments": 4,
"group_chats": {
"enabled": true,
"max_participants": 10
}
},
"media": {
"image_size_limit": 15360000,
"max_album_limit": 4,
"max_alt_text_length": 1000,
"supported_mime_types": ["image/jpeg", "image/jpg", "image/png", "image/gif", "video/mp4"],
"video_size_limit": 15360000
},
"statuses": {
"max_characters": 500
}
}
}GET/api/v1/instance/peers
List known peers
Mastodon compatible No token
Returns
curl "https://pixelfed.social/api/v1/instance/peers" \
-H "Accept: application/json"Response
["mastodon.social", "pixey.org", "metapixl.com", "aus.social"][]GET/api/v1/custom_emojis
List custom emoji
Mastodon compatible No token
Returns
curl "https://pixelfed.social/api/v1/custom_emojis" \
-H "Accept: application/json"Response
[{
"shortcode": "pixelfed",
"url": "https://pixelfed.social/storage/emoji/pixelfed.png",
"static_url": "https://pixelfed.social/storage/emoji/pixelfed.png",
"visible_in_picker": true
}, {
"shortcode": "blobcat",
"url": "https://pixelfed.social/storage/emoji/blobcat.png",
"static_url": "https://pixelfed.social/storage/emoji/blobcat.png",
"visible_in_picker": false
}]GET/api/v1/announcements
List announcements
Mastodon compatible User token Scope read
Returns
curl "https://pixelfed.social/api/v1/announcements" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[]GET/api/v2/streaming/config
Get streaming config
Pixelfed only No token
Returns
curl "https://pixelfed.social/api/v2/streaming/config" \
-H "Accept: application/json"Response
{
"host": "ws.pixelfed.social",
"port": "443",
"key": "6c2f1a8e9b0d4e7f3a21",
"cluster": "mt1"
}[]GET/api/v1.1/nag/state
Get push gateway state
Pixelfed only No token
Returns
curl "https://pixelfed.social/api/v1.1/nag/state" \
-H "Accept: application/json"Response
{
"active": true
}GET/api/service/health-check
Health check
Pixelfed only No token
Returns
curl "https://pixelfed.social/api/service/health-check" \
-H "Accept: application/json"Response
"OK"